/*
 * Class FILE_UTILITIES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_12 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_12 [] = {0xFF01,563,11,0xFFFF};
static const EIF_TYPE_INDEX egt_2_12 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_12 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_12 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_12 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_6_12 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_7_12 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_8_12 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_9_12 [] = {0xFF01,261,0xFF01,173,0xFFFF};
static const EIF_TYPE_INDEX egt_10_12 [] = {0xFF01,261,0xFF01,173,0xFFFF};
static const EIF_TYPE_INDEX egt_11_12 [] = {0xFF01,217,0xFFFF};
static const EIF_TYPE_INDEX egt_12_12 [] = {0xFF01,217,0xFFFF};
static const EIF_TYPE_INDEX egt_13_12 [] = {261,0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_14_12 [] = {261,0xFF01,226,0xFFFF};


static const struct desc_info desc_12[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_12), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_12), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x17 /*11*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_12), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_12), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x17 /*11*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x17 /*11*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_12), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_12), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_12), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_12), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_12), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x17 /*11*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x17 /*11*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C5 /*226*/), 113, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_12), 114, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_12), 115, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_12), 116, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_12), 117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 119, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_12), 120, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_12), 121, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 122, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 123, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 124, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 125, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 126, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 128, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 129, 0xFFFFFFFF},
};
void Init12(void)
{
	IDSC(desc_12, 0, 11);
	IDSC(desc_12 + 1, 1, 11);
	IDSC(desc_12 + 32, 235, 11);
}


#ifdef __cplusplus
}
#endif
